Loading...
Searching...
No Matches
OBVibrationData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBVibrationData:
[legend]

## Public Member Functions

| OBVibrationData ()
virtual | ~OBVibrationData ()
virtual OBGenericData * | Clone (OBBase *) const
OBVibrationData & | operator= (const OBVibrationData &)
void | SetData (const std::vector< std::vector< vector3 > > &lx, const std::vector< double > &frequencies, const std::vector< double > &intensities)
void | SetData (const std::vector< std::vector< vector3 > > &, const std::vector< double > &, const std::vector< double > &, const std::vector< double > &)
std::vector< std::vector< vector3 > > | GetLx () const
std::vector< double > | GetFrequencies () const
std::vector< double > | GetIntensities () const
std::vector< double > | GetRamanActivities () const
unsigned int | GetNumberOfFrequencies () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

std::vector< std::vector< vector3 > > | _vLx
std::vector< double > | _vFrequencies
std::vector< double > | _vIntensities
std::vector< double > | _vRamanActivities
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold the normal modes of a molecule, etc.

## Constructor & Destructor Documentation

## OBVibrationData()

OBVibrationData | ( |  | ) |

inline

Referenced by Clone(), and operator=().

## ~OBVibrationData()

virtual ~OBVibrationData | ( |  | ) |

inline virtual

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## operator=()

OBVibrationData & operator= | ( | const OBVibrationData & |  | ) |

## SetData() [1/2]

void SetData | ( | const std::vector< std::vector< vector3 > > & | vLx,
|  | const std::vector< double > & | vFrequencies,
|  | const std::vector< double > & | vIntensities )

Assign the data.

Parameters

  vLx | Normal modes in 1/sqrt(a.u.)
  vFrequencies | Harmonic frequencies in inverse centimeters
  vIntensities | Infrared absorption intensities in KM/Mole

Referenced by operator=().

## SetData() [2/2]

void SetData | ( | const std::vector< std::vector< vector3 > > & | vLx,
|  | const std::vector< double > & | vFrequencies,
|  | const std::vector< double > & | vIntensities,
|  | const std::vector< double > & | vRamanActivities )

Assign the data.

Parameters

  vLx | Normal modes in 1/sqrt(a.u.)
  vFrequencies | Harmonic frequencies in inverse centimeters
  vIntensities | Infrared absorption intensities in KM/Mole
  vRamanActivities | Raman activities

## GetLx()

std::vector< std::vector< vector3 > > GetLx | ( |  | ) | const

inline

## GetFrequencies()

std::vector< double > GetFrequencies | ( |  | ) | const

inline

## GetIntensities()

std::vector< double > GetIntensities | ( |  | ) | const

inline

## GetRamanActivities()

std::vector< double > GetRamanActivities | ( |  | ) | const

inline

## GetNumberOfFrequencies()

unsigned int GetNumberOfFrequencies | ( |  | ) | const

Get the number of frequencies.

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _vLx

std::vector< std::vector< vector3 > > _vLx

protected

Normal modes in 1/sqrt(a.u.).

Referenced by SetData(), and SetData().

## _vFrequencies

std::vector<double> _vFrequencies

protected

Harmonic frequencies in inverse centimeters.

Referenced by GetNumberOfFrequencies(), SetData(), and SetData().

## _vIntensities

std::vector<double> _vIntensities

protected

Infrared absorption intensities in KM/Mole.

Referenced by SetData(), and SetData().

## _vRamanActivities

std::vector<double> _vRamanActivities

protected

Raman activities.

Referenced by SetData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp